/****************************************
* afficher des carrés dont la couleur rouge est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carresRouges(int x, int y, int w, int[] red) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], 0, 0);
    rect(x + i * w, y, w, w);
  }
}

/****************************************
* afficher des carrés dont la coleur est donnée dans un tableau
*
* entree :
*   - x, y : position du coin sup gauche de la ligne de carrés
*   - w : longuer du coté
*   - red : tbaleau qui contient l'intensité du rouge
*
* sortie :
*   - aucune
*****************************************/
void carres(int x, int y, int w, int[] red, int[] green, int[] blue) {
  for(int i = 0; i < red.length; i++) {
    fill(red[i], green[i], blue[i]);
    rect(x + i * w, y, w, w);
  }
}

/****************************************
* construction de tableau 
*
* entree :
*   - n   : taille du tableau
*   - val : valeur de toutes les cases 
*
* sortie :
*   - tableau d'entier de taille n contenant val
*****************************************/
int[] creerTab(int n, int val) {
  int[] t = new int[n];
  
  for(int i = 0; i < n; i++)
    t[i] = val;
    
  return t;
}

/****************************************
* construction de tableau avec les n premiers nombres entiers
*
* entree :
*   - n   : taille du tableau
*
* sortie :
*   - tableau d'entier de taille n 
*****************************************/
int[] creerTabPrem(int n) {
  int[] t = new int[n];
  
  for(int i = 0; i < n; i++)
    t[i] = i;
    
  return t;
}


void setup() {
  size(600, 200);
  
  int[] t = { 100, 150, 200, 250};

  carresRouges(0, 0, 10, t);
  
  int[] red   = { 100, 150, 200, 250 };
  int[] green = { 200, 250, 250, 150 };
  int[] blue  = { 10,  50, 0, 50 };

  carres(0, 20, 10, red, green, blue);

  t = creerTab(7, 255);
  carresRouges(0, 40, 10, t);
  
  t = creerTab(100, 255);
  carresRouges(0, 60, 3, t);
  
  t = creerTab(10, 128);
  carresRouges(0, 80, 20, t);

  noStroke();
  
  t = creerTabPrem(255);
  carresRouges(0, 120, 2, t);
  
}

